function val = e1_case1(problem,x1,x2,t)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      mpccdist3
% from  2022-04-01 



% make sure t is a scalar
assert(length(t) == 1);

% remember the size of the input and resize it
[m,n] = size(x1);
x1 = x1(:)';
x2 = x2(:)';

% evaluate the function
val = - g(problem,phid_case1(problem,x1,x2,t)) .* ud_laplace(problem,x1,x2,t);
val = val - g_prime(problem,phid_case1(problem,x1,x2,t)) .* (ud_nabla1(problem,x1,x2,t) .* phid_nabla1_case1(problem,x1,x2,t) + ud_nabla2(problem,x1,x2,t) .* phid_nabla2_case1(problem,x1,x2,t));
val = val - ld(problem,x1,x2,t);

% reshape the output
val = reshape(val,m,n);

