function problem = setup_problem
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      mpccdist3
% from  2022-04-01 



% final time
problem.T = 1;

% nonlocal damage parameter
problem.alpha = 1;

% penalty parameter for coupling of d and \varphi
problem.beta = 1e4;

% viscosity parameter in the damage evolution
problem.delta = 1;

% fracture toughness
problem.r = 1;

% regularization parameter to avoid material degeneration
problem.eta = 1e-2;

